Inhalte
Index 🔎︎

# Funktion Tan

Bestimmt den Tangens eines Winkels. Der Winkel wird im Bogenmaß angegeben.

Die Funktion Tan bestimmt aus einem Winkel Alpha das Längenverhältnis von Gegenkathete zu Ankathete in einem rechtwinkligen Dreieck.

Tan(Alpha) = Gegenkathete/Ankathete

## Syntax:

    Tan (Zahl)

## Rückgabewert:

Double

## Parameter:

Zahl: Ein beliebiger numerischer Ausdruck, dessen Tangens (im Bogenmaß) Sie berechnen möchten.

Zur Umrechnung von Grad in Bogenmaß muss die Gradangabe mit Pi/180 multipliziert werden und zur Umrechnung von Bogenmaß in Grad muss das Bogenmaß mit 180/Pi multipliziert werden.

grad=(radiant*180)/Pi

radiant=(grad*Pi)/180

Pi ist die Kreiskonstante mit dem ungefähren Wert 3,141592657.

## Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    ' Das folgende Beispielprogramm erlaubt für ein rechtwinkliges Dreieck die Eingabe von:
    ' Gegenkathete und Winkel (in Grad) und berechnet daraus die Länge der Ankathete:
    Sub ExampleTangens
    ' Pi = 3.1415926 ist eine vordefinierte Variable
    Dim d1 As Double
    Dim dAlpha As Double
        d1 = InputBox("Bitte geben Sie die Länge der Gegenkathete ein: ","Gegenkathete")
        dAlpha = InputBox("Bitte geben Sie den Winkel Alpha ein (in Grad): ","Alpha")
        Print "Die Länge der Ankathete beträgt"; (d1 / tan (dAlpha * Pi / 180))
    End Sub